# Create a field Create a Field resource. Endpoint: POST /fields Version: 2.0.0 Security: bearerToken ## Request fields (application/json): - `name` (string, required) Human-readable name of the [Field](#tag/Fields) Example: "Folders" - `dataType` (string, required) Defines the format the data can take * STRING: Any format * DATE: Dates in the ISO date format * DATE_TIME: Date Times in the ISO datetime format Enum: "STRING", "DATE", "DATE_TIME" - `multiValue` (boolean, required) If true an [Asset](#tag/Assets) can be assigned multiple values for this [Field](#tag/Fields). If false an [Asset](#tag/Assets) can only be assigned a single value for this [Field](#tag/Fields). e.g. An [Asset](#tag/Assets) can only have a single _Title_ but could be assigned multiple _Tags_. Example: true - `hasFixedOptions` (boolean, required) If true the possible values for this [Field](#tag/Fields) are taken from a fixed set. If false the possible values for this [Field](#tag/Fields) are unrestricted. The set of fixed values for an [Field](#tag/Fields) are defined by the [FieldOption](#tag/Field-Options) resource. If true the values in the [Asset.metadata.values](#tag/Assets) map reference an [FieldOption.id](#tag/Field-Options). If false the values in the [Asset.metadata.values](#tag/Assets) map contain the human-readable value. Example: true - `hierarchical` (boolean, required) Only applicable when [Field.hasFixedOptions = true](#tag/Fields). If true the fixed set possible values for the [Field](#tag/Fields) form a hierarchical tree structure. An optional [FieldOption.parent](#tag/Field-Options) specifies the [FieldOption](#tag/Field-Options) of it's parent in the tree. If [FieldOption.parent = null](#tag/Field-Options) the [FieldOption](#tag/Field-Options) sits at the root of the tree. Example: true - `editControl` (string, required) An indication of the type of edit control would be sensible to use to edit the [Field](#tag/Fields) Enum: "SINGLE_LINE_TEXT", "TEXT_AREA", "TAGS", "CONTROLLED_TAGS", "DROPDOWN", "CHECKLIST", "FOLDER_PICKER", "DATE_PICKER", "DATE_TIME_PICKER", "EXPIRY_DATE_PICKER", "RATING" - `recommended` (boolean, required) If true it is recommended for assets to have a value for this [Field](#tag/Fields). Clients should highlight missing recommended values during creation and editing of assets. Clients can also use the FIELD_IS_EMPTY criterion in an [AssetSearch](#operation/postAssetSearch) to find assets with missing recommended values. Example: true - `defaultSortField` (string) The name of the [FieldOption](#tag/Field-Options) property value Enum: "FIELD_ID", "PARENT_ID", "VALUE", "ID", "POSITION" - `browsable` (boolean, required) If true assets with a value for this [Field](#tag/Fields) can be browsed in the Browse page. Example: true ## Response 200 fields (application/json): - `result` (object, required) - `result.id` (string, required) The unique ID of the [Field](#tag/Fields) Example: "a52b5315-15b8-417f-b742-d6902108bac1" - `result.accountId` (string, required) The unique ID of the Account the [Field](#tag/Fields) belongs to Example: "cfb665ca-ce35-4418-b9d5-70ee815db4bd" - `result.name` (string, required) Human-readable name of the [Field](#tag/Fields) Example: "Folders" - `result.dataType` (string, required) Defines the format the data can take * STRING: Any format * DATE: Dates in the ISO date format * DATE_TIME: Date Times in the ISO datetime format Enum: "STRING", "DATE", "DATE_TIME" - `result.multiValue` (boolean, required) If true an [Asset](#tag/Assets) can be assigned multiple values for this [Field](#tag/Fields). If false an [Asset](#tag/Assets) can only be assigned a single value for this [Field](#tag/Fields). e.g. An [Asset](#tag/Assets) can only have a single _Title_ but could be assigned multiple _Tags_. Example: true - `result.hasFixedOptions` (boolean, required) If true the possible values for this [Field](#tag/Fields) are taken from a fixed set. If false the possible values for this [Field](#tag/Fields) are unrestricted. The set of fixed values for an [Field](#tag/Fields) are defined by the [FieldOption](#tag/Field-Options) resource. If true the values in the [Asset.metadata.values](#tag/Assets) map reference an [FieldOption.id](#tag/Field-Options). If false the values in the [Asset.metadata.values](#tag/Assets) map contain the human-readable value. Example: true - `result.hierarchical` (boolean, required) Only applicable when [Field.hasFixedOptions = true](#tag/Fields). If true the fixed set possible values for the [Field](#tag/Fields) form a hierarchical tree structure. An optional [FieldOption.parent](#tag/Field-Options) specifies the [FieldOption](#tag/Field-Options) of it's parent in the tree. If [FieldOption.parent = null](#tag/Field-Options) the [FieldOption](#tag/Field-Options) sits at the root of the tree. Example: true - `result.editControl` (string, required) An indication of the type of edit control would be sensible to use to edit the [Field](#tag/Fields) Enum: "SINGLE_LINE_TEXT", "TEXT_AREA", "TAGS", "CONTROLLED_TAGS", "DROPDOWN", "CHECKLIST", "FOLDER_PICKER", "DATE_PICKER", "DATE_TIME_PICKER", "EXPIRY_DATE_PICKER", "RATING" - `result.indestructible` (boolean, required) If true the [Field](#tag/Fields) cannot be deleted. Primarily used to prevent removal of an [Field](#tag/Fields) which is required by Dash. Example: true - `result.recommended` (boolean, required) If true it is recommended for assets to have a value for this [Field](#tag/Fields). Clients should highlight missing recommended values during creation and editing of assets. Clients can also use the FIELD_IS_EMPTY criterion in an [AssetSearch](#operation/postAssetSearch) to find assets with missing recommended values. Example: true - `result.defaultSortField` (string) The name of the [FieldOption](#tag/Field-Options) property value Enum: "FIELD_ID", "PARENT_ID", "VALUE", "ID", "POSITION" - `result.browsable` (boolean, required) If true assets with a value for this [Field](#tag/Fields) can be browsed in the Browse page. Example: true - `permittedActions` (array, required) - `permittedActions.resourceType` (string, required) Defines the type of the resource that is being permitted to act on Enum: "ACCOUNT", "ASSET", "ASSET_SHARES", "ASSETS", "ASSETS_IN_NO_FOLDERS", "CLOUD_CONNECTION", "CLOUD_CONNECTIONS", "COLLECTION", "COLLECTIONS", "COMMENT", "CUSTOM_TERMS_AND_CONDITIONS", "EMAILS", "FIELD_OPTION", "FIELDS", "INDESIGN_EXTENSION", "INTELLIGENCE_SETTINGS", "METADATA_SCHEMA", "PORTALS", "PRESET_SIZES", "REFERRAL", "SAVED_SEARCHES", "SHOPIFY_INTEGRATION_V2", "SUBSCRIPTION", "THEME", "TOP_LEVEL_FIELD_OPTIONS", "USER_GROUPS", "WEB_USAGE" - `permittedActions.resourceId` (string) The ID of the resource that is being permitted to act on. This may be null if the permission is on the resource type as a whole rather than an individual instance. Example: "7af90a8b-7ccd-430f-a85d-e8614015bc47" - `permittedActions.action` (string, required) Defines the action that is being permitted Enum: "ADD_ASSET_TO_COLLECTION", "ADD_COLLABORATOR_TO_COLLECTION", "APPROVE_ASSETS", "CONFIGURE_SHOPIFY_INTEGRATION", "CREATE_ASSET_SHARES", "CREATE_ASSETS", "CREATE_CHILD_FIELD_OPTIONS", "CREATE_CLOUD_CONNECTIONS", "CREATE_COLLECTIONS", "CREATE_COLLECTION_COMMENTS", "CREATE_COMMENTS", "CREATE_EMBEDDABLE_LINKS", "CREATE_PORTALS", "CREATE_SAVED_SEARCHES", "CREATE_SUBSCRIPTION", "CREATE_TOP_LEVEL_FIELD_OPTIONS", "CUSTOMISE_EMAILS", "DELETE_ASSET", "DELETE_CLOUD_CONNECTION", "DELETE_COLLECTION", "DELETE_COMMENT", "DOWNLOAD_ASSET", "DOWNLOAD_INDESIGN_EXTENSION", "EDIT_ACCOUNT", "EDIT_ASSET", "EDIT_CLOUD_CONNECTION", "EDIT_COLLECTION", "EDIT_COMMENT", "EDIT_FIELDS", "EDIT_INTELLIGENCE_SETTINGS_ADDRESS_LOOKUP", "EDIT_INTELLIGENCE_SETTINGS_IMAGE_AUTO_TAGGING", "EDIT_INTELLIGENCE_SETTINGS_IMAGE_FACIAL_REC", "EDIT_INTELLIGENCE_SETTINGS_TEXT_IN_IMAGE", "EDIT_INTELLIGENCE_SETTINGS_VIDEO_AUTO_TAGGING", "EDIT_INTELLIGENCE_SETTINGS_VIDEO_FACIAL_REC", "EDIT_METADATA_SCHEMA", "EDIT_PRESET_SIZES", "EDIT_THEME", "EDIT_USER_GROUPS", "EXPORT_TO_SHOPIFY", "IMPORT_ASSETS_OR_METADATA", "IMPORT_FROM_CLOUD", "MAKE_REFERRAL", "MANAGE_CUSTOM_TERMS_AND_CONDITIONS", "PROMOTE_ASSETS_TO_LIVE", "PUT_ASSETS_IN_NO_FOLDER", "REMOVE_ASSET_FROM_COLLECTION", "REMOVE_COLLABORATOR_FROM_COLLECTION", "RUN_NATURAL_LANGUAGE_SEARCH", "SEARCH_FOR_VIEW", "SET_ASSETS_LIFECYCLE_STATUS_BINNED", "SET_ASSETS_LIFECYCLE_STATUS_LIVE", "UPDATE_METADATA_WITH_FIELD_OPTION", "USE_CANVA_INTEGRATION", "USE_CLOUD_CONNECTION", "USE_COLLECTIONS", "USE_EMBEDDABLE_LINKS", "VIEW_ASSET", "VIEW_ASSET_EVENTS", "VIEW_ASSET_FACES", "VIEW_ASSETS_IN_NO_FOLDER", "VIEW_CLOUD_CONNECTION", "VIEW_COLLECTION", "VIEW_COMMENTS", "VIEW_WEB_USAGE" ## Response 4XX fields (application/json): - `timestamp` (string) The datetime that the error occurred in ISO offset format Example: "2021-02-16T16:21:58.640+00:00" - `status` (integer) The HTTP status code of the error Example: 401 - `error` (string) The title of the error Example: "Unauthorized" - `message` (string) A more detailed error message - `path` (string) The path that was called which led to the error Example: "/folder-settings"